##	*************************************************************
##	Troy Banther
##	http://banther-trx.homeunix.com
##	08.03.2003 - v.0.1 - Original version.
##	08.17.2003 - v.0.2 - Deleted echos,  added alerts, added icon, and packaged the app.
##	*************************************************************

#!/bin/sh

##	*************************************************************
##	Creating a backup folder on the desktop.
##	*************************************************************

	alert "Creating the 'Backup' folder on the Desktop." "Continue";
	cd /boot/home/Desktop/;
	mkdir backup;
	sleep 3s;
	clear;

##	*************************************************************
##	Zip listed folders.
##	*************************************************************

	alert "Starting the zip process. This may take several minutes or more depending on the amount of data being backing up." "I understand";
	sleep 3s;
	clear;

##	*************************************************************
## 	zip (Zip 2.3i BETA - December 5th 1998).
##  	-9 (compress better).
##	-y (store symbolic links as the link instead of the referenced file).
##	-r (recurse into directories).
##	*************************************************************

	zip -9yr /boot/home/Desktop/backup/people.zip /boot/home/people;
	sleep 1s;
	clear;
	
	zip -9yr /boot/home/Desktop/backup/mail.zip /boot/home/mail;
	sleep 1s;
	clear;
	
##	*************************************************************
##	If you are like me - you have a lot of data in you apps directory (Tune
##	Tracker and all my ripped mp3s take up a LOT of space). You may 
##	choose to enable or disable the ## comments depending on the 
##	size of this directory.
##	*************************************************************
	
##	zip -9yr /boot/home/Desktop/backup/apps.zip /boot/apps;
##	sleep 1s;
##	clear;

	zip -9yr /boot/home/Desktop/backup/beos.zip /boot/beos;
	sleep 1s;
	clear;
	
	zip -9yr /boot/home/Desktop/backup/config.zip /boot/home/config;
	sleep 1s;
	clear;
	
##	*************************************************************
##	If you have an extra directory (ies) that need to be included. Use 
##	the following example as a template.
##	*************************************************************

##	zip -9yr /boot/home/Desktop/backup/shared.zip /boot/home/shared;	
##	sleep 1s;
##	clear;

##	*************************************************************
##	Add or replace any lines above to your own to system needs.
##	*************************************************************

	cd /boot/home/Desktop;
	alert "Getting ready to create a BFS cd image. This may take several minutes depending on the speed of the hard drive and the processor." "Cool";

	dd if=/dev/zero of=filebackup.img bs=1024k count=670;
	mkbfs 2048 filebackup.img;
	sync;

##	*************************************************************
##	The actual size of the image can be adjusted.
##	*************************************************************

	alert "Ready to mount the backup image and copy your backed up data into it." "Go ahead";	
	mkdir /mnt;
	mount -t bfs /boot/home/Desktop/filebackup.img /mnt;
	copyattr -d /boot/home/Desktop/backup/*.zip /mnt/;
	sleep 3s;
	clear;

##	*************************************************************	
##	Finishing touches.
##	*************************************************************

	alert "Take a moment to "label" the untitled mounted image file on your desktop." "Okay, did that"
	sleep 3s;
	clear;

	alert "Double check all the files were placed into the image. When that is done unmount the image by right-clicking and selecting the unmount command." "Next";
	sleep 3s;
	clear;

##	*************************************************************
##	Burn.
##	*************************************************************

	alert "Time to burn the backup image. Grab a blank CD-R and place it into the tray. Then close it and allow BeOS to recognize." "Done";
	sleep 3s;
	clear;
	
	alert "Bringing up CDBurner" "Almost there";
	cd /boot/beos/apps/;
	CDBurner ;
	sleep 1s;
	clear;
	
	alert "Now you need to select the named backup.img file as a datatrack and burn. If everything goes right then you should have a clean and pristine backup copies of you data. Sometimes hardware issues might fail the process and create a coaster. Send me an e-mail if you have any questions" "Later!";
	sleep 1s;
	clear;
	